%define letter b
%bcond_with    wizard

Name:           bibletime
Version:        1.6.3
Release:        %mkrel 3
Epoch:          0
Summary:        Easy to use Bible study tool for KDE
Icon:           bibletime.xpm
License:        GPL
Url:            http://www.bibletime.info/
Group:          Text tools
Source0:        http://umn.dl.sourceforge.net/sourceforge/bibletime/bibletime-%{version}%{letter}.tar.bz2
BuildRequires:  kdelibs-devel
BuildRequires:  sword-devel
BuildRequires:  clucene-devel
Requires:       sword
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
BibleTime is a free and easy to use bible study tool for UNIX systems.

BibleTime provides easy handling of digitized texts (Bibles, commentaries 
and lexicons) and powerful features to work with these texts (search in 
texts, write own notes, save, print etc.). Bibletime is a frontend for 
the  SWORD Bible Framework.

%prep
%setup -q -n %{name}-%{version}%{letter}

%build
export QTDIR=%{_prefix}/lib/qt3
%{configure2_5x} --disable-rpath --disable-debug
%{make} kde_htmldir=%{_docdir}/HTML/

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std} kde_htmldir=%{_docdir}/HTML/
%{__mkdir_p} %{buildroot}%{_menudir}
%{__mkdir_p} %{buildroot}%{_datadir}/config

%{__cat} << EOF > %{buildroot}%{_menudir}/%{name}
?package(bibletime):command="/usr/bin/%{name}" \
icon="%{name}.png" \
needs="X11" \
section="More Applications/Editors" \
title="Bibletime" \
longtitle="An easy to use Bible study tool" \
xdg="true"
EOF

%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{__cat} > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Bibletime
Comment=An easy to use Bible study tool
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Education-Literature;
Encoding=UTF-8
EOF

%{__mkdir_p} %{buildroot}%{_liconsdir}
%{__mkdir_p} %{buildroot}%{_iconsdir}
%{__mkdir_p} %{buildroot}%{_miconsdir}
%{__install} -m 644 bibletime/pics/48x48/hi48-app-bibletime.png %{buildroot}/%{_liconsdir}/%{name}.png
%{__install} -m 644 bibletime/pics/32x32/hi32-app-bibletime.png %{buildroot}/%{_iconsdir}/%{name}.png
%{__install} -m 644 bibletime/pics/16x16/hi16-app-bibletime.png %{buildroot}/%{_miconsdir}/%{name}.png

%if %with wizard
%{__cat} << EOF > %{buildroot}%{_menudir}/%{name}-setup
?package(bibletime):command="/usr/bin/btsetupwizard" icon="bibletime.png" \
needs="X11" section="Applications/Text tools/" title="Bibletime Setup Wizard" \
longtitle="A setup tool for the easy to use Bible study tool" \
xdg="true"
EOF
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL LICENSE README
%if %with wizard
%{_bindir}/btsetupwizard
%endif
%{_bindir}/bibletime
%{_datadir}/apps/bibletime
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/applications/*.desktop
%{_docdir}/HTML
%exclude %{_includedir}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Tue Mar 13 2007 David Walluck <walluck@mandriva.org> 1.6.3-3mdv2007.1
+ Revision: 143265
- fix source directory
- 1.6.3b

* Wed Feb 07 2007 David Walluck <walluck@mandriva.org> 0:1.6.3-1mdv2007.1
+ Revision: 116958
- 1.6.3

* Mon Feb 05 2007 Buchan Milne <bgmilne@mandriva.org> 0:1.6.2-3mdv2007.1
+ Revision: 116479
- Work around build system issues on x86_64
- Buildrequire clucene-devel

  + David Walluck <walluck@mandriva.org>
    - rebuild
    - 1.6.2
    - Import bibletime

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild against new curl



* Wed Sep 06 2006 Buchan Milne <bgmilne@mandriva.org> 1.5.3-3mdv2007.0
- Rebuild
- xdg menu

* Fri Jan 20 2006 Buchan Milne <bgmilne@mandriva.org> 1.5.3-2mdk
- spec cleanup, fixes build on x86_64

* Wed Dec 21 2005 Buchan Milne <bgmilne@mandriva.org> 1.5.3-1mdk
- New release 1.5.3

* Tue Sep 13 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.1-1mdk
- New release 1.5.1

* Tue Sep 13 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.1-1mdk
- New release 1.5.1

* Thu Sep 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.1-4mdk
- Fix BuildRequires
- mkrel 

* Wed Aug 25 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.1-3mdk
- rebuild for sword4
- put menu in More applications/Editors for now
- make it short-circuit-able

* Fri Jul 16 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.1-2mdk
- rebuild for gcc-3.4, minor spec cleanups

* Thu Feb 24 2004 Brook Humphrey <bah@linux-mandrake.com> 1.4.1-1mdk
- updated for the latest bibletime

* Thu Nov 13 2003 Brook Humphrey <bah@linux-mandrake.com> 1.4-1mdk
- updated for the latest bibletime

* Thu Nov 13 2003 Brook Humphrey <bah@linux-mandrake.com> 1.3-1mdk
- masive overhaul and cleaqnup
- merged buchans changes 
- updates spec to compile like other mandrkae kde packages.
- updated to bibletime 1.3

* Sun Apr 27 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.2-2mdk
- BuildRequires (thx slbd)
- Some file ownership fixes (distlint)

* Thu Mar 13 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.2-1mdk
- 1.2.2
- Cleanups

* Wed Jan 21 2003 Brook Humphrey <bah@webmedic.net> bibleitme-1.3.beta4-1mdk

- Massive clean up of spec file
- hopefully more readable and all arround usable. 

* Fri Dec 13 2002 Brook Humphrey <bah@webmedic.net> bibleitme-1.3.beta2-1mdk9.0

- Betabuild of bibletime for testing only 

* Tue Oct 9 2002 Brook Humphrey <bah@webmedic.net> bibleitme-1.2.2-cvs-1mdk9.0

- Build for mandrake 9.0/ Fixes for gcc 3.2 should allow it to build this time.

- Changed files somewhat as the build droped some and added some.

- Added mandrake menu for bibletime setup wizard.

- Changed the icons to the new hicolor png's for the mandrake menues.

* Fri Aug 2 2002 Brook Humphrey <bah@webmedic.net> bibleitme-1.2.1

- Build for Mandrake 9.0

* Mon Apr 8 2002 Brook Humphrey <bah@webmedic.net> bibletime-1.1

- Added to the spec to better handle mandrake menus during compile. Now should be compatable with all os's.

- added locals.d source to build. This removes dependecy on sword being installed. Will make seperate package for this later.


* Fri Mar 31 2002 Joachim Ansorg <jansorg@gmx.de>

- Made including the book translations working finally.

- Fixed SPEC files to work with SuSE


* Thu Feb 7 2002 Brook Humphrey <bah@webmedic.net> bibletime-1.0.2

- changed compile time options to mach bibletime spec included with source files

- compiled on mandrake 8.2


* Fri Sep 7 2001 Joachim Ansorg <jansorg@gmx.de>

- Added the bookname files in the file list

* Tue Jul 10 2001 Brook Humphrey <bah@webmedic.net> bibletime-1.0.1-Mandrake8.0.4mdk

- Recompile because of dependecy problems.  

* Tue Jul 10 2001 Brook Humphrey <bah@webmedic.net> bibletime-1.0.1-Mandrake8.0.1mdk

- bug fix release bibletime-1.0.1

- adda extra compile options to spec file.

- Merged in suse changes for compileing on SuSE

* Sun May 27 2001 Brook Humphrey <bah@webmedic.net>

- Trying different variations of static compiles again.

- Still using cvs sources while waiting for 1.0 release.

* Thu May 24 2001 Brook Humphrey <bah@webmedic.net>

- Trying for x static and whatever else we can get into it.

- No X for today Got libz to compile in but it causes segfault.

* Wed May 23 2001 Brook Humphrey <bah@webmedic.net>

- Yet another try at static qt.

- Qt static works now.

* Mon May 21 2001 Brook Humphrey <bah@webmedic.net>

- Static is working for kde and a few other libs but not qt yet.

- Testing another patch today to try to get qt compiled static.

* Sun May 20 2001 Brook Humphrey <bah@webmedic.net>

- Cleaned up spec some more(stupid spelling error's)

- static compile not working today so added option to compile kde and sword as static seperately

* Sat May 19 2001 Brook Humphrey <bah@webmedic.net>

- Cleaned up spec some more and added a few more comments

- Changed spec to automaticly do parts concerning static and Mandrake menus

- All info can be set in defines at top of spec file no other changes should need to be made

- Fixed patch to compile static should now compile static with kde libs 

- Test to compile with qt as static also

* Sun May 13 2001 Brook Humphrey <bah@webmedic.net>

- cleaned up spec file and added more comments for easier reading.

- changed sword.conf instelation to check for previous versions of sword.conf

- If found a new sword.conf is not created

- Made a patch to hopefully compile kde and other libs as atatic

- static compile didn't work for today.

* Tue May 8 2001 Brook Humphrey <bah@webmedic.net>

- Updated package to be relocatable

- added sword directories and sword.conf to install

* Mon Apr 30 2001 Brook Humphrey <bah@webmedic.net>

- Changed to build staticly

- added more mandrake macros to spec file

* Mon Apr 23 2001 Brook Humphrey <bah@webmedic.net>

- made changes to enable compile of cvs tree

* Wed Mar 14 2001 Brook Humphrey <bah@webmedic.net>

- updated to use mandrake menu sysem
